LXRAD 0.7

Public Member Functions | Data Fields | Protected Member Functions | Protected Attributes
CControl Class Reference

Generic Control. More...

`#include <ccontrol.h>`

Inheritance diagram for CControl:

## Public Member Functions
virtual void | SetName (const lxString name)
lxString | GetName (void)
CWindow * | GetWin (void)
void | SetWin (CWindow *win)
virtual wxWindow * | GetWidget (void)
virtual void | Event (wxEvent &event)
virtual int | Create (CControl *control)
virtual void | Destroy (void)
virtual void | Erase (void)
virtual void | Draw (void)
virtual void | Update (void)
lxStringList | GetContext (void)
void | SetContext (lxStringList context)
void | SetDragAcceptFiles (bool accept)
void | SetFont (const lxString font)
lxString | GetFontName (void)
void | SetFontSize (uint size)
uint | GetFontSize (void)
virtual void | SetX (int x)
virtual int | GetX (void)
virtual void | SetY (int y)
virtual int | GetY (void)
virtual void | SetBorder (uint border)
uint | GetBorder (void)
virtual void | SetWidth (unsigned w)
virtual uint | GetWidth (void)
virtual void | SetHeight (unsigned h)
virtual uint | GetHeight (void)
void | SetWid (int wid)
long | GetWid (void)
virtual void | SetColorName (const lxString name)
virtual void | SetColor (unsigned r, unsigned g, unsigned b)
virtual void | SetColor (wxColor color)
wxColor | GetColor (void)
virtual void | SetEnable (bool enable)
virtual bool | GetEnable (void)
void | SetOwner (CControl *control)
CControl * | GetOwner (void)
void | SetVisible (bool visible, bool update=true)
bool | GetVisible (void)
bool | GetCanVisible (void)
void | SetPopupMenu (CPMenu *popupmenu)
void | SetFocus (void)
bool | GetFocus (void)
void | SetCanFocus (bool canfocus)
bool | GetCanFocus (void)
bool | GetDynamic (void)
int | GetChildCount (void)
void | SetHint (lxString hint)
lxString | GetHint (void)
CControl * | GetChild (uint child)
virtual CControl * | GetChildByWidget (wxWindow *widget)
CControl * | GetChildByWid (long wid)
CControl * | GetChildByName (const lxString child)
virtual void | CreateChild (CControl *control, bool onlyput=false)
virtual void | DestroyChild (CControl *control)
virtual void | DestroyChilds (void)
virtual void | WriteXMLContext (lxString filename, bool first=true)
virtual void | LoadXMLContext (lxString filename)
void | SetCanExecuteEvent (bool can)
bool | GetCanExecuteEvent (void)
void * | operator new (size_t sz)
void | operator delete (void *p)
void | SetFOwner (CControl *control)
CControl * | GetFOwner (void)
virtual void | mouse_move (wxMouseEvent *event)
virtual void | button_press (wxMouseEvent *event)
virtual void | button_release (wxMouseEvent *event)
virtual void | key_press (wxKeyEvent *event)
virtual void | key_release (wxKeyEvent *event)
virtual void | focus_in (wxMouseEvent *event)
virtual void | focus_out (wxMouseEvent *event)
virtual void | on_draw (wxPaintEvent *event)
virtual void | mouse_wheel (wxMouseEvent *event)
virtual void | on_drop_files (wxDropFilesEvent *event)
Public Member Functions inherited from CObject
void | SetName (const lxString name)
lxString | GetName (void)
lxString | GetClass (void)
void | SetClass (const lxString classn)
virtual lxStringList | GetContext (void)
virtual void | SetContext (lxStringList context)
bool | GetEv (bool reset=false)
void | SetEv (bool value, bool reset=false)
void | SetTag (uint tag)
uint | GetTag (void)
void | SetAux (int tag)
int | GetAux (void)

## Data Fields
void(CControl::* | EvMouseMove )(CControl *control, const uint button, const uint x, const uint y, const uint mask)
void(CControl::* | EvMouseButtonPress )(CControl *control, const uint button, const uint x, const uint y, const uint mask)
void(CControl::* | EvMouseButtonRelease )(CControl *control, const uint button, const uint x, const uint y, const uint mask)
void(CControl::* | EvMouseButtonClick )(CControl *control, const uint button, const uint x, const uint y, const uint mask)
void(CControl::* | EvMouseButtonDoubleClick )(CControl *control, const uint button, const uint x, const uint y, const uint mask)
void(CControl::* | EvKeyboardPress )(CControl *control, const uint keyval, const uint hardware_keycode, const uint state)
void(CControl::* | EvKeyboardRelease )(CControl *control, const uint keyval, const uint hardware_keycode, const uint state)
void(CControl::* | EvOnDraw )(CControl *control)
void(CControl::* | EvOnFocusIn )(CControl *control)
void(CControl::* | EvOnFocusOut )(CControl *control)
void(CControl::* | EvMouseWheel )(CControl *control, const int rotation)
void(CControl::* | EvOnDropFile )(CControl *control, const lxString fname)

## Protected Member Functions
virtual int | CEvent (int event)

## Protected Attributes
CControl * | FOwner
| function owner control More...
CControl * | ControlOnFocus
| Control On Focus. More...
wxWindow * | Widget
| Object wxWidget. More...
long | Wid
| wx ID More...
bool | Dynamic
| Dynamic Object? More...
bool | CanFocus
| CanFocus ? More...
bool | CanExecuteEvent
| Can Execute Event ? More...
bool | CanVisible
| Can be Visible ? More...
bool | DragAcceptFiles
bool | Enable
int | X
int | Y
uint | Width
uint | Height
uint | Border
lxString | ColorName
unsigned char | ColorRGB [3]
CControl ** | Child
int | ChildCount
lxString | FontName
uint | FontSize
CControl * | Owner
bool | Visible
CPMenu * | PopupMenu
CWindow * | Win
lxString | Hint
unsigned long int | BTimePress
unsigned long int | BTimeRelease
unsigned long int | BTimeClick
Protected Attributes inherited from CObject
bool | Ev [EVMAX]
uint | Evcount
lxString | Name
lxString | Class
lxStringList | Context
uint | Tag
int | Aux

## Detailed Description

Generic Control.

Generic Control class

Definition at line 46 of file ccontrol.h.

## Member Function Documentation

## ◆ GetContext()

lxStringList CControl::GetContext | ( | void |  | ) |
| virtual

Get XML Context Name.

Returns
  XML context.

Reimplemented from CObject.

Reimplemented in CDirDialog, CDraw, CEdit, CFileDialog, CFileList, CGauge, CGrid, CHtml, CImage, CItemMenu, CLabel, CList, CMenu, CPanel, CPMenu, CScroll, CSpin, CSpind, CStatusbar, CStyledText, CText, CThread, CTimer, CToggleButton, CToolButton, CWindow, and CXpmButton.

## ◆ SetContext()

void CControl::SetContext | ( | lxStringList | context | ) |
| virtual

Set XML Context .

Parameters

  context | XML context.

Returns
  void.

Reimplemented from CObject.

Reimplemented in CDirDialog, CDraw, CEdit, CFileDialog, CFileList, CGauge, CGrid, CHtml, CImage, CItemMenu, CLabel, CList, CMenu, CPanel, CPMenu, CScroll, CSpin, CSpind, CStatusbar, CStyledText, CText, CThread, CTimer, CToggleButton, CToolButton, CWindow, and CXpmButton.

## Field Documentation

## ◆ Border

uint CControl::Border
| protected

Definition at line 61 of file ccontrol.h.

## ◆ BTimeClick

unsigned long int CControl::BTimeClick
| protected

Definition at line 75 of file ccontrol.h.

## ◆ BTimePress

unsigned long int CControl::BTimePress
| protected

Definition at line 73 of file ccontrol.h.

## ◆ BTimeRelease

unsigned long int CControl::BTimeRelease
| protected

Definition at line 74 of file ccontrol.h.

## ◆ CanExecuteEvent

bool CControl::CanExecuteEvent
| protected

Can Execute Event ?

Definition at line 55 of file ccontrol.h.

## ◆ CanFocus

bool CControl::CanFocus
| protected

CanFocus ?

Definition at line 54 of file ccontrol.h.

## ◆ CanVisible

bool CControl::CanVisible
| protected

Can be Visible ?

Definition at line 56 of file ccontrol.h.

## ◆ Child

CControl** CControl::Child
| protected

Definition at line 64 of file ccontrol.h.

## ◆ ChildCount

int CControl::ChildCount
| protected

Definition at line 65 of file ccontrol.h.

## ◆ ColorName

lxString CControl::ColorName
| protected

Definition at line 62 of file ccontrol.h.

## ◆ ColorRGB

unsigned char CControl::ColorRGB[3]
| protected

Definition at line 63 of file ccontrol.h.

## ◆ ControlOnFocus

CControl* CControl::ControlOnFocus
| protected

Control On Focus.

Definition at line 50 of file ccontrol.h.

## ◆ DragAcceptFiles

bool CControl::DragAcceptFiles
| protected

Definition at line 57 of file ccontrol.h.

## ◆ Dynamic

bool CControl::Dynamic
| protected

Dynamic Object?

Definition at line 53 of file ccontrol.h.

## ◆ Enable

bool CControl::Enable
| protected

Definition at line 58 of file ccontrol.h.

## ◆ EvKeyboardPress

void(CControl::* CControl::EvKeyboardPress) (CControl *control, const uint keyval, const uint hardware_keycode, const uint state)

Definition at line 166 of file ccontrol.h.

## ◆ EvKeyboardRelease

void(CControl::* CControl::EvKeyboardRelease) (CControl *control, const uint keyval, const uint hardware_keycode, const uint state)

Definition at line 167 of file ccontrol.h.

## ◆ EvMouseButtonClick

void(CControl::* CControl::EvMouseButtonClick) (CControl *control, const uint button, const uint x, const uint y, const uint mask)

Definition at line 164 of file ccontrol.h.

## ◆ EvMouseButtonDoubleClick

void(CControl::* CControl::EvMouseButtonDoubleClick) (CControl *control, const uint button, const uint x, const uint y, const uint mask)

Definition at line 165 of file ccontrol.h.

## ◆ EvMouseButtonPress

void(CControl::* CControl::EvMouseButtonPress) (CControl *control, const uint button, const uint x, const uint y, const uint mask)

Definition at line 162 of file ccontrol.h.

## ◆ EvMouseButtonRelease

void(CControl::* CControl::EvMouseButtonRelease) (CControl *control, const uint button, const uint x, const uint y, const uint mask)

Definition at line 163 of file ccontrol.h.

## ◆ EvMouseMove

void(CControl::* CControl::EvMouseMove) (CControl *control, const uint button, const uint x, const uint y, const uint mask)

Definition at line 161 of file ccontrol.h.

## ◆ EvMouseWheel

void(CControl::* CControl::EvMouseWheel) (CControl *control, const int rotation)

Definition at line 171 of file ccontrol.h.

## ◆ EvOnDraw

void(CControl::* CControl::EvOnDraw) (CControl *control)

Definition at line 168 of file ccontrol.h.

## ◆ EvOnDropFile

void(CControl::* CControl::EvOnDropFile) (CControl *control, const lxString fname)

Definition at line 172 of file ccontrol.h.

## ◆ EvOnFocusIn

void(CControl::* CControl::EvOnFocusIn) (CControl *control)

Definition at line 169 of file ccontrol.h.

## ◆ EvOnFocusOut

void(CControl::* CControl::EvOnFocusOut) (CControl *control)

Definition at line 170 of file ccontrol.h.

## ◆ FontName

lxString CControl::FontName
| protected

Definition at line 66 of file ccontrol.h.

## ◆ FontSize

uint CControl::FontSize
| protected

Definition at line 67 of file ccontrol.h.

## ◆ FOwner

CControl* CControl::FOwner
| protected

function owner control

Definition at line 49 of file ccontrol.h.

## ◆ Height

uint CControl::Height
| protected

Definition at line 60 of file ccontrol.h.

## ◆ Hint

lxString CControl::Hint
| protected

Definition at line 72 of file ccontrol.h.

## ◆ Owner

CControl* CControl::Owner
| protected

Definition at line 68 of file ccontrol.h.

## ◆ PopupMenu

CPMenu* CControl::PopupMenu
| protected

Definition at line 70 of file ccontrol.h.

## ◆ Visible

bool CControl::Visible
| protected

Definition at line 69 of file ccontrol.h.

## ◆ Wid

long CControl::Wid
| protected

wx ID

Definition at line 52 of file ccontrol.h.

## ◆ Widget

wxWindow* CControl::Widget
| protected

Object wxWidget.

Definition at line 51 of file ccontrol.h.

## ◆ Width

uint CControl::Width
| protected

Definition at line 60 of file ccontrol.h.

## ◆ Win

CWindow* CControl::Win
| protected

Definition at line 71 of file ccontrol.h.

## ◆ X

int CControl::X
| protected

Definition at line 59 of file ccontrol.h.

## ◆ Y

int CControl::Y
| protected

Definition at line 59 of file ccontrol.h.

The documentation for this class was generated from the following file:

- include/ccontrol.h